%define module_version 0.9.3
%define module_name App-CatalystStarter-Bloated
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Archive/Zip.pm) perl(Capture/Tiny.pm) perl(Catalyst/View.pm) perl(Catalyst/View/JSON.pm) perl(Catalyst/View/TT.pm) perl(DBD/Pg.pm) perl(DBD/SQLite.pm) perl(DBD/mysql.pm) perl(DBI.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/ShareDir.pm) perl(File/Which.pm) perl(Getopt/Euclid.pm) perl(HTML/TreeBuilder.pm) perl(IO/All.pm) perl(List/MoreUtils.pm) perl(List/Util.pm) perl(Log/Log4perl.pm) perl(Module/Build.pm) perl(Mojo/DOM.pm) perl(Moose.pm) perl(Path/Tiny.pm) perl(Test/FailWarnings.pm) perl(Test/File/ShareDir.pm) perl(Test/More.pm) perl(Test/Most.pm) perl(Test/Output.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Test/Script/Run.pm) perl(autodie.pm) perl(base.pm) perl(namespace/autoclean.pm) perl(utf8/all.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.9.3
Release: alt1
Summary: Creates a catalyst app, a TT view, a model and a HTML5 wrapper template from initalizr.com.
Group: Development/Perl
License: artistic
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/T/TO/TORBJORN/%{module_name}-v%{module_version}.tar.gz
BuildArch: noarch

%description
This distribution provides an alternative script to start catalyst
projects: catalyst-fatstart.pl

This script takes a number of options, see catalyst-fatstart.pl
--usage , --man and --help

In short it does the following:

=over

=item *

Calls catalyst.pl to create the catalyst project

=item *

Sets up a TT view as ::HTML and a JSON view as ::JSON

=item *

If given a --dsn, runs create model and provides default names
for schema and model classes.

=item *

If using a dbi:Pg dsn, looks in your ~/.pgpass to find usernames
and passwords and even intelligently completes your dsn if you are
missing hostname and or port.

=item *

Sets up a TT wrapper based on a HTML5 template intializr.com and
points its css, js images and fonts to /static

=back

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name


%prep
%setup -q -n %{module_name}-v%{module_version}

%build
%perl_vendor_build --install_path bindoc=%_man1dir

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/A*
%perl_vendor_privlib/auto/*
%files scripts
%_man1dir/*
%_bindir/*

%changelog
* Thu Feb 18 2016 Igor Vlasenko <viy@altlinux.ru> 0.9.3-alt1
- regenerated from template by package builder

* Mon Apr 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.9.2-alt1
- initial import by package builder

